---
title: list-ai-gateway-budget-defaults
product: vercel
url: /docs/rest-api/sdk/ai-gateway/list-ai-gateway-budget-defaults
canonical_url: "https://vercel.com/docs/rest-api/sdk/ai-gateway/list-ai-gateway-budget-defaults"
last_updated: 2026-10-05
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about list-ai-gateway-budget-defaults on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# List AI Gateway budget defaults

```http
GET /ai-gateway/budgets/defaults/list
```

List the team's AI Gateway budget defaults as a flat per-scope list (one row per team/project/api-key/user scope with a default set). An empty list is a normal state for the dashboard.

## Authentication

**bearerToken**: HTTP bearer

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

```typescript
import { Vercel } from "@vercel/sdk";

const vercel = new Vercel({
  bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await vercel.aiGateway.listAiGatewayBudgetDefaults({
    teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
    slug: "my-team-url-slug",
  });

  console.log(result);
}

run();
```

## Example response

```json
{
  "defaults": [
    {
      "active": "false",
      "alertThresholds": [],
      "createdAt": "123",
      "limitAmount": "123",
      "refreshPeriod": "daily",
      "scopeType": "api-key",
      "updatedAt": "123"
    }
  ]
}
```

## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "defaults"
  ],
  "properties": {
    "defaults": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "active",
          "createdAt",
          "limitAmount",
          "refreshPeriod",
          "scopeType",
          "updatedAt"
        ],
        "properties": {
          "active": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "alertThresholds": {
            "type": "array"
          },
          "createdAt": {
            "type": "number"
          },
          "limitAmount": {
            "type": "number"
          },
          "refreshPeriod": {
            "type": "string",
            "enum": [
              "daily",
              "monthly",
              "none",
              "weekly"
            ]
          },
          "scopeType": {
            "type": "string",
            "enum": [
              "api-key",
              "project",
              "team",
              "user"
            ]
          },
          "updatedAt": {
            "type": "number"
          }
        }
      }
    }
  }
}
```

### 400: No description

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

### 410: No description

### 500: No description

---

## Related

- [ai-gateway endpoints](/docs/rest-api#ai-gateway)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://vercel.com/openapi.json) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
